
<%
/**
 *	$RCSfile: style.jsp,v $
 *	$Revision: 1.1.1.1 $
 *	$Date: 2002/09/09 13:50:33 $
 */
%>

<%@ page import="com.jivesoftware.forum.*" %>

<%  // Colors and font for this skin
    
    String prefix = "skin.jive.";
    
    // Color usually specified in the BODY tag
    String bgColor = JiveGlobals.getJiveProperty(prefix+"bgColor");
    String textColor = JiveGlobals.getJiveProperty(prefix+"textColor");
    String linkColor = JiveGlobals.getJiveProperty(prefix+"linkColor");
    String vLinkColor = JiveGlobals.getJiveProperty(prefix+"vLinkColor");
    String aLinkColor = JiveGlobals.getJiveProperty(prefix+"aLinkColor");
    
    // CSS styles
    String aCSS = JiveGlobals.getJiveProperty(prefix+"css.a");
    String aHoverCSS = JiveGlobals.getJiveProperty(prefix+"css.aHover");
    
    // Fonts
    String fontFace = JiveGlobals.getJiveProperty(prefix+"fontFace");
    
    // Various other colors
    String headerTextColor = JiveGlobals.getJiveProperty(prefix+"headerTextColor");
    String subHeaderTextColor = JiveGlobals.getJiveProperty(prefix+"subHeaderTextColor");
    String footerTextColor = JiveGlobals.getJiveProperty(prefix+"footerTextColor");
    String deckTextColor = JiveGlobals.getJiveProperty(prefix+"deckTextColor");
    
    // Table colors
    String tableBorderColor = JiveGlobals.getJiveProperty(prefix+"tableBorderColor");
    String tableHeaderBgColor = JiveGlobals.getJiveProperty(prefix+"tableHeaderBgColor");
    String tableHeaderTextColor = JiveGlobals.getJiveProperty(prefix+"tableHeaderTextColor");
    String paginatorTableBgColor = JiveGlobals.getJiveProperty(prefix+"paginatorTableBgColor");
    String tableRowColor1 = JiveGlobals.getJiveProperty(prefix+"tableRowColor1");
    String tableRowColor2 = JiveGlobals.getJiveProperty(prefix+"tableRowColor2");
    
    // Text
    String indexPageHeaderText = JiveGlobals.getJiveProperty(prefix+"indexPageHeaderText");
    String indexPageDeckText = JiveGlobals.getJiveProperty(prefix+"indexPageDeckText");
    String titlePrefix = JiveGlobals.getJiveProperty(prefix+"titlePrefix");
    
    // Other text colors
    String paginatorTextColor = JiveGlobals.getJiveProperty(prefix+"paginatorTextColor");
    
    // Breadcrumbs
    String rootBreadcrumbText = JiveGlobals.getJiveProperty(prefix+"rootBreadcrumbText");
    String rootBreadcrumbLink = JiveGlobals.getJiveProperty(prefix+"rootBreadcrumbLink");
    
    // Button colors
    String buttonBorderColor = JiveGlobals.getJiveProperty(prefix+"buttonBorderColor");
    String buttonBorderColorHover = JiveGlobals.getJiveProperty(prefix+"buttonBorderColorHover");
    String buttonBgColor = JiveGlobals.getJiveProperty(prefix+"buttonBgColor");
    String buttonBgColorHover = JiveGlobals.getJiveProperty(prefix+"buttonBgColorHover");
%>
